using System.Xml.Serialization;
using NewRock.Sdk.Control.Request.Base;

namespace NewRock.Sdk.Events
{
    /*
<Event attribute="ONLINE" RegisterIP="10.129.91.202" >
  <ext id="208" />
</Event>
     */
    [XmlRoot("Event")]
    public class OnlineEvent : NewRockEvent
    {

        [XmlAttribute("RegisterIP")]
        public string RegisterIP { get; set; }

        [XmlElement("ext")]
        public Ext Ext { get; set; }
    }
}
